package com.ghost.technic.server.card.keyword;

public enum KeywordAbility {
    ALPHA,
    ASSAULT, // has value
    DEPLOY,
    ELUSIVE,
    HAZARDOUS, // has value
    INVULNERABLE,
    OMEGA,
    POISON,
    SKIRMISH,
    SPLASH_ATTACK, // has value
    TAUNT,
    TREACHERY,
    VERSATILE;

    public boolean hasValue() {
        return switch (this) {
            case ASSAULT, HAZARDOUS, SPLASH_ATTACK -> true;
            default -> false;
        };
    }
}
